
TYPO3.TYPO3CR - Bug # 30384

Status: Resolved Priority: Must have
Author: Robert Lemke Category: Node handling
Created: 2011-09-28 Assigned To: Robert Lemke
Updated: 2011-09-30 Due date:
Subject: Sorting order of nodes is broken
Description

The sorting order of nodes, especially in a multi-workspace scenario, is partly random. Creating a node and then moving it with
moveBefore() and moveAfter() doesn't always lead to the expected result.

Associated revisions
Revision 2fb28d13 - 2011-09-30 14:45 - Robert Lemke

[BUGFIX] Sorting order of nodes works again – also across workspaces

This fixes the sorting order handling for nodes.

The change set also introduces optimistic locking for Nodes and several
new functional tests.

Change-Id: I7e75680d53167bc9b8f52fd0c11de3f1c6dc77b8
Fixes: #30384

History
#1 - 2011-09-28 13:48 - Mr. Hudson

Patch set 1 of change I7e75680d53167bc9b8f52fd0c11de3f1c6dc77b8 has been pushed to the review server.
It is available at http://review.typo3.org/5402

#2 - 2011-09-30 14:47 - Mr. Hudson

Patch set 2 of change I7e75680d53167bc9b8f52fd0c11de3f1c6dc77b8 has been pushed to the review server.
It is available at http://review.typo3.org/5402

#3 - 2011-09-30 15:05 - Robert Lemke
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:2fb28d13834a6f972a8cbc4d959dfcfa78e1dd9c.
